int botao[] = {3, 5, 7, 9}; // array com as portas utilizadas pelos botões
int LEDs[]  = {2, 4, 6, 8}; // array com as portas utilizadas pelos LEDs
bool flag[]  = {false, false, false, false}; // Indica o estado do LED - Ligado/Desligado

void setup() {
  Serial.begin(9600);

  for(int i=0; i<=3; i++){
    pinMode(botao[i], INPUT);
  }

  for(int j=0; j<=3; j++){
    pinMode(LEDs[j], OUTPUT);
  }

  // Inicializar LEDs
  for(int k=0; k<=3; k++){
    digitalWrite(LEDs[k], LOW); // Desligamos a luz de todas as divisões da casa
  }

}

void loop() {
  // Leitura dos Botões
  int value1 = digitalRead(botao[0]);
  int value2 = digitalRead(botao[1]);
  int value3 = digitalRead(botao[2]);
  int value4 = digitalRead(botao[3]);

  Serial.print(value1);
  Serial.print(" - ");
  Serial.println(value2);

  ligaDesliga(value1, 0);
  ligaDesliga(value2, 1);
  ligaDesliga(value3, 2);
  ligaDesliga(value4, 3);

  delay(250);
}

void ligaDesliga(int value, int divisao){
  if(value == 1){
    if(!flag[divisao]){ // Liga a Luz
      digitalWrite(LEDs[divisao], HIGH);
      flag[divisao] = true;
    } else {// Desliga a Luz
      digitalWrite(LEDs[divisao], LOW);
      flag[divisao] = false;      
    }
  }
}
